Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwavalwa lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

Why can't I log in to the forums anymore?!

  • 3 uphendule
  • 1 inale nkinga
  • 9 views
  • Igcine ukuphendulwa ngu James

more options

I've been posting to the mozilla forums for over a decade, but when I tried to log in this afternoon the site didn't recognize either my username or my password (it didn't specify which).

I tried to change my password but I never received the confirmation email.

So I've just created a "new" account using my old email address but with a new user name and password so that I could post this query.

What happened to my old account?

Will in Seattle a.k.a. "Clueless"

All Replies (3)

more options

Seems you are successfully set up here.

This support site uses a separate account from the Mozilla forums.

more options

The forum detected a couple of out-of-date plugins. For security reasons, you should update those soon.

(1) Adobe PDF plugin.

The best way to update Adobe Reader 9 is to install a newer version. You can use the following page to select Adobe Reader 11. I suggest 11 instead of the new DC due to the unfamiliar interface, unless you enjoy learning new interfaces...

http://get.adobe.com/reader/enterprise/

After installing 11.0.8, start up Adobe Reader and use the Help menu to "Check for Updates" to get up to the latest 11.0.11 update.

(2) Shockwave Flash

You can download a full Flash installer from the following page, either the current 18.0.x series or the extended support 13.0.x series -- just choose the installer for "plugin-based browsers":

https://www.adobe.com/products/flashplayer/distribution3.html

You might need to close and re-open Firefox during installation (Adobe's installer will tell you if you need to do that).

(If you decide to roll back to 13, you probably will need to use the uninstaller. There's a link in this article: Flash Plugin - Keep it up to date and troubleshoot problems)

more options

We should keep this in one thread. /questions/1067487